Update
curl --request PATCH \
--url https://api.sortx.co.uk/keys/sets/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"unitId": "<string>",
"reference": "<string>",
"label": "<string>",
"keyType": "<string>",
"keyCount": 123,
"notes": "<string>"
}
'const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
unitId: '<string>',
reference: '<string>',
label: '<string>',
keyType: '<string>',
keyCount: 123,
notes: '<string>'
})
};
fetch('https://api.sortx.co.uk/keys/sets/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/keys/sets/{id}"
payload = {
"unitId": "<string>",
"reference": "<string>",
"label": "<string>",
"keyType": "<string>",
"keyCount": 123,
"notes": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"propertyId": "<string>",
"propertyLabel": "<string>",
"unitId": "<string>",
"reference": "<string>",
"label": "<string>",
"keyType": "<string>",
"keyCount": 123,
"notes": "<string>",
"status": "<string>",
"sequence": 123,
"currentMovementId": "<string>",
"holder": {
"type": "<string>",
"staffId": "<string>",
"contactId": "<string>",
"name": "<string>"
},
"purpose": "<string>",
"purposeSubject": {
"kind": "<string>",
"id": "<string>"
},
"tenancyId": "<string>",
"dueBackOn": "<string>",
"overdue": true,
"lastMovedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}keys
Update
Edit a key set’s description. Custody changes only by movement.
PATCH
/
keys
/
sets
/
{id}
Update
curl --request PATCH \
--url https://api.sortx.co.uk/keys/sets/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"unitId": "<string>",
"reference": "<string>",
"label": "<string>",
"keyType": "<string>",
"keyCount": 123,
"notes": "<string>"
}
'const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
unitId: '<string>',
reference: '<string>',
label: '<string>',
keyType: '<string>',
keyCount: 123,
notes: '<string>'
})
};
fetch('https://api.sortx.co.uk/keys/sets/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/keys/sets/{id}"
payload = {
"unitId": "<string>",
"reference": "<string>",
"label": "<string>",
"keyType": "<string>",
"keyCount": 123,
"notes": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"propertyId": "<string>",
"propertyLabel": "<string>",
"unitId": "<string>",
"reference": "<string>",
"label": "<string>",
"keyType": "<string>",
"keyCount": 123,
"notes": "<string>",
"status": "<string>",
"sequence": 123,
"currentMovementId": "<string>",
"holder": {
"type": "<string>",
"staffId": "<string>",
"contactId": "<string>",
"name": "<string>"
},
"purpose": "<string>",
"purposeSubject": {
"kind": "<string>",
"id": "<string>"
},
"tenancyId": "<string>",
"dueBackOn": "<string>",
"overdue": true,
"lastMovedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}Authorizations
A workspace API key (Settings → API keys), scoped to <group>:read / <group>:write.
Path Parameters
Body
application/json
Response
Success
Show child attributes
Show child attributes
Show child attributes
Show child attributes